#include <stdio.h>
#include <string.h>

/* not completely the same as BSD strlcpy */
#define strlcpy(d, s, z) do {\
  strncpy(d, s, z);\
  if ((z) > 0)\
    d[(z)-1] = '\0';\
} while (0)
/* not completely the same as BSD strlcat */
#define strlcat(d, s, z) strncat(d, s, (z)-strlen(d)-1)

int main(int argc, char *argv[])
{
  char buf[64] = "";

  if (argc == 2+1) {
#if defined(UNSAFE)
    strcpy(buf, argv[1]);
    strcat(buf, "/");
    strcat(buf, argv[2]);
#else
    strlcpy(buf, argv[1], sizeof(buf));
    strlcat(buf, "/", sizeof(buf));
    strlcat(buf, argv[2], sizeof(buf));
#endif
  }
  puts(buf);
  return 0;
}
